Bug 1377714

Summary: network errors are saved as partial files, makes future downloads corrupted
Product: [Fedora] Fedora Reporter: Kamil Páral <kparal>
Component: mediawriterAssignee: Martin Bříza <mbriza>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: mbriza
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mediawriter-3.97.1-0.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-27 00:31:42 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Kamil Páral 2016-09-20 12:36:37 UTC
Description of problem:
When some download fails, this is saved as .part file:

$ less ~/Download/Fedora-Workstation-Live-x86_64-24-1.2.iso.part 
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>404 Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL /pub/fedora/linux/releases/24/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-24-1.2.iso was not found on this server.</p>
</body></html>
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>404 Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL /pub/fedora/linux/releases/24/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-24-1.2.iso was not found on this server.</p>
</body></html>

Now when I try to download the image again, it *resumes* the download with that offset. Which means the first x kilobytes of that file will be incorrect and the checksum verification will fail.

Network errors must not be saved as .part files.

Version-Release number of selected component (if applicable):
mediawriter-3.96.0-0.fc25.x86_64

How reproducible:
always

Steps to Reproduce:
1. create .part file with incorrect contents
2. download the image using mediawriter
3. see that the downloaded file is not correct

Comment 1 Martin Bříza 2016-09-21 07:17:31 UTC
Fixed upstream now

Comment 2 Fedora Update System 2016-09-23 05:24:18 UTC
mediawriter-3.97.0-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d84f684d42

Comment 3 Kamil Páral 2016-09-23 12:26:24 UTC
I can't really easily test this now, our mirror is now fixed.

Comment 4 Fedora Update System 2016-09-24 17:52:05 UTC
mediawriter-3.97.1-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e34fd77aaf

Comment 5 Fedora Update System 2016-09-27 00:31:42 UTC
mediawriter-3.97.1-0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.